# Uses of Interface
org.eclipse.birt.chart.model.attribute.PatternImage

Packages that use PatternImage
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of PatternImage in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return PatternImage
Modifier and Type
Method
Description
`PatternImage`
PatternImage.`copyInstance()`
`PatternImage`
AttributeFactory.`createPatternImage()`
Returns a new object of class 'Pattern Image'.

## Uses of PatternImage in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement PatternImage
Modifier and Type
Class
Description
`class`
`PatternImageImpl`
An implementation of the model object 'Pattern Image'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return PatternImage
Modifier and Type
Method
Description
`PatternImage`
PatternImageImpl.`copyInstance()`
`PatternImage`
AttributeFactoryImpl.`createPatternImage()`